Tags
Update a tag
PATCH
/
workspaces
/
{workspace_uuid}
/
tags
/
{tag_uuid}
Update a tag
curl --request PATCH \
--url https://app.reachboost.io/api/v1/workspaces/{workspace_uuid}/tags/{tag_uuid} \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"name": "ReachBoost"
}
'const options = {
method: 'PATCH',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'ReachBoost'})
};
fetch('https://app.reachboost.io/api/v1/workspaces/{workspace_uuid}/tags/{tag_uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.reachboost.io/api/v1/workspaces/{workspace_uuid}/tags/{tag_uuid}"
payload = { "name": "ReachBoost" }
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)require 'uri'
require 'net/http'
url = URI("https://app.reachboost.io/api/v1/workspaces/{workspace_uuid}/tags/{tag_uuid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["X-Api-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"ReachBoost\"\n}"
response = http.request(request)
puts response.read_body{
"uuid": "26cbc634-4cea-4697-ab30-fb7ed16ad45c",
"name": "Example Tag",
"created_at": "2026-01-10 10:00:00.000000",
"updated_at": "2026-01-10 10:00:00.000000"
}{
"error": "Invalid API key"
}{
"error": "Resource not found"
}{
"error": "Validation failed"
}{
"error": "Rate limit exceeded. Please try again later.",
"code": "rate_limit_exceeded",
"retry_after": 17
}Path Parameters
⌘I
Update a tag
curl --request PATCH \
--url https://app.reachboost.io/api/v1/workspaces/{workspace_uuid}/tags/{tag_uuid} \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"name": "ReachBoost"
}
'const options = {
method: 'PATCH',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'ReachBoost'})
};
fetch('https://app.reachboost.io/api/v1/workspaces/{workspace_uuid}/tags/{tag_uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.reachboost.io/api/v1/workspaces/{workspace_uuid}/tags/{tag_uuid}"
payload = { "name": "ReachBoost" }
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)require 'uri'
require 'net/http'
url = URI("https://app.reachboost.io/api/v1/workspaces/{workspace_uuid}/tags/{tag_uuid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["X-Api-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"ReachBoost\"\n}"
response = http.request(request)
puts response.read_body{
"uuid": "26cbc634-4cea-4697-ab30-fb7ed16ad45c",
"name": "Example Tag",
"created_at": "2026-01-10 10:00:00.000000",
"updated_at": "2026-01-10 10:00:00.000000"
}{
"error": "Invalid API key"
}{
"error": "Resource not found"
}{
"error": "Validation failed"
}{
"error": "Rate limit exceeded. Please try again later.",
"code": "rate_limit_exceeded",
"retry_after": 17
}
